Skip to main content
POST
/
action
/
hubspot.v2.get_timeline_events
Get HubSpot Timeline Events
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/hubspot.v2.get_timeline_events \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "object_type": "company",
  "source_object_id": "{{company_id}}",
  "output_variable_name": "timeline_events",
  "event_type_filter": "deployment_completed",
  "properties": "<string>",
  "start_date": "<string>",
  "end_date": "<string>",
  "result_limit": "100"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
object_type
enum<string>
required
Available options:
company,
contact,
deal,
ticket
source_object_id
string
default:{{company_id}}
required

ID of the object to retrieve timeline events for.

output_variable_name
string
default:timeline_events
required

Variable name to store the timeline events.

event_type_filter
string
default:deployment_completed

Optional filter by specific event type.

properties
string

Select properties to retrieve from timeline events

start_date
string

Optional date range to filter timeline events (mm/dd/yyyy format).

end_date
string

Optional date range to filter timeline events (mm/dd/yyyy format).

result_limit
string
default:100

Maximum number of timeline events to return (default: 100, max: 500).

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action